Bug 1250041 - [RFE] Backport MTU advertisement to OSP 6
[RFE] Backport MTU advertisement to OSP 6
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
5.0 (RHEL 7)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: lpeer
Ofer Blaut
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2015-08-04 08:07 EDT by Eduard Barrera
Modified: 2016-04-26 13:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-24 06:44:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eduard Barrera 2015-08-04 08:07:39 EDT
Description of problem:

MTU advertisement functionality

This new feature allow specification of the desired MTU for a network, and advertisement of the MTU to guest operating systems when it is set. This new capability will avoid MTU mismatches in networks that lead to undesirable results such as connectivity issues, packet drops and degraded network performance.


Can we have it backported from Kilo to OSP 6?
Comment 5 Assaf Muller 2015-08-05 08:39:28 EDT
I looked in to this: The patches include API, DB and configuration file changes, all criteria that block backports. It's not possible to backport this feature according to our policy.

Aside from that, keep in mind that only phases 1 and 2 of the spec were merged: The MTU of a network is discovered from the agent configurations, exposed via the API and advertised via DHCP to the guest. The user/admin cannot select a network's API, and the different Neutron devices MTUs are still not configured automatically.
Comment 6 Nir Yechiel 2015-09-24 06:44:44 EDT
Closing this request based on feedback from engineering as described in comment #5 above.

Note You need to log in before you can comment on or make changes to this bug.